Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-26596

Clean top warning message while building

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: RESOLVED
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: 10.0
    • Fix Version/s: None
    • Component/s: Maven
    • Labels:
      None
    • Environment:
      Maven 3.2.2

      Description

      While building Sakai, there are about 3000 lines of warning message during checking period with Maven 3.0.5.

      Fortunately, most of these warning messages just gone with Maven 3.1.x or 3.2.x

      There are still some warning messages remain, shown as follows:
      [WARNING]
      [WARNING] Some problems were encountered while building the effective model for org.sakaiproject.basiclti:imsblti:war:10.0
      [WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: javax.servlet:servlet-api:jar -> duplicate declaration of version @ org.sakaiproject.basiclti:imsblti:[unknown-version], /home/gaojun/dev/src/official-sakai/sakai-src-10.0/basiclti/basiclti-portlet/pom.xml, line 62, column 21
      [WARNING]
      [WARNING] Some problems were encountered while building the effective model for org.sakaiproject.basiclti:basiclti-util:jar:10.0
      [WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: junit:junit:jar -> duplicate declaration of version 4.5 @ org.sakaiproject.basiclti:basiclti-util:[unknown-version], /home/gaojun/dev/src/official-sakai/sakai-src-10.0/basiclti/basiclti-util/pom.xml, line 52, column 21
      [WARNING]
      [WARNING] Some problems were encountered while building the effective model for org.sakaiproject.gradebook:grades-rest:war:10.0
      [WARNING] 'build.plugins.plugin.version' for com.mycila.maven-license-plugin:maven-license-plugin is missing. @ org.sakaiproject.gradebook:grades-rest:[unknown-version], /home/gaojun/dev/src/official-sakai/sakai-src-10.0/gradebook/grades-rest/pom.xml, line 153, column 21
      [WARNING]
      [WARNING] Some problems were encountered while building the effective model for org.sakaiproject.kernel:sakai-kernel-impl:jar:10.0
      [WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: org.sakaiproject.kernel:sakai-kernel-util:jar -> duplicate declaration of version ${project.version} @ org.sakaiproject.kernel:sakai-kernel-impl:[unknown-version], /home/gaojun/dev/src/official-sakai/sakai-src-10.0/kernel/kernel-impl/pom.xml, line 343, column 19
      [WARNING]
      [WARNING] It is highly recommended to fix these problems because they threaten the stability of your build.
      [WARNING]
      [WARNING] For this reason, future Maven versions might no longer support building such malformed projects.
      [WARNING]

      This patch aim to clean these warning messages.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                maintenanceteam Core Team
                Reporter:
                gaojun Gao Jun
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code